summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2018-11-15 21:52:49 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-11-17 18:42:46 +0700
commitb2ebc38251acc33f5f950ffe3fc8116cf072cc16 (patch)
tree574928bd3b92c5872d86e2da920ee9a94fee0e95 /desktop
parenta2e561a3461b16105c5434112437edc8368e443c (diff)
downloadslackbuilds-b2ebc38251acc33f5f950ffe3fc8116cf072cc16.tar.gz
slackbuilds-b2ebc38251acc33f5f950ffe3fc8116cf072cc16.tar.xz
desktop/xdg-desktop-portal: Added (sandboxing for desktop APIs).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xdg-desktop-portal/README11
-rw-r--r--desktop/xdg-desktop-portal/slack-desc19
-rw-r--r--desktop/xdg-desktop-portal/xdg-desktop-portal.SlackBuild100
-rw-r--r--desktop/xdg-desktop-portal/xdg-desktop-portal.info10
4 files changed, 140 insertions, 0 deletions
diff --git a/desktop/xdg-desktop-portal/README b/desktop/xdg-desktop-portal/README
new file mode 100644
index 0000000000..3035b1c7ee
--- /dev/null
+++ b/desktop/xdg-desktop-portal/README
@@ -0,0 +1,11 @@
+xdg-desktop-portal
+
+A portal frontend service for Flatpak and possibly other desktop containment
+frameworks.
+
+xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
+portals under a well-known name (org.freedesktop.portal.Desktop) and object
+path (/org/freedesktop/portal/desktop).
+
+The portal interfaces include APIs for file access, opening URIs, printing and
+others.
diff --git a/desktop/xdg-desktop-portal/slack-desc b/desktop/xdg-desktop-portal/slack-desc
new file mode 100644
index 0000000000..fb5220efa5
--- /dev/null
+++ b/desktop/xdg-desktop-portal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xdg-desktop-portal: xdg-desktop-portal (sandboxing for desktop APIs)
+xdg-desktop-portal:
+xdg-desktop-portal: xdg-desktop-portal provides sandbox "portal" APIs.
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
diff --git a/desktop/xdg-desktop-portal/xdg-desktop-portal.SlackBuild b/desktop/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
new file mode 100644
index 0000000000..69a1b12c0f
--- /dev/null
+++ b/desktop/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for xdg-desktop-portal
+
+# Copyright 2018 Vincent Batts <vbatts@hashbangbash.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xdg-desktop-portal
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md COPYING INSTALL NEWS ABOUT-NLS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xdg-desktop-portal/xdg-desktop-portal.info b/desktop/xdg-desktop-portal/xdg-desktop-portal.info
new file mode 100644
index 0000000000..c7a8aeb868
--- /dev/null
+++ b/desktop/xdg-desktop-portal/xdg-desktop-portal.info
@@ -0,0 +1,10 @@
+PRGNAM="xdg-desktop-portal"
+VERSION="1.0.3"
+HOMEPAGE="https://github.com/flatpak/xdg-desktop-portal/"
+DOWNLOAD="https://github.com/flatpak/xdg-desktop-portal/releases/download/1.0.3/xdg-desktop-portal-1.0.3.tar.xz"
+MD5SUM="6c9f1b1aa7b2369859ff6b3f245a4721"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pipewire"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"